Package com.enonic.xp.web.servlet

## Class ServletRequestUrlHelper

- java.lang.Object
- - com.enonic.xp.web.servlet.ServletRequestUrlHelper

-     @PublicApi
      public final class ServletRequestUrlHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServletRequestUrlHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `contentDispositionAttachment​(String fileName)` |
    `static String` | `createUri​(String path)` | Deprecated.
    `static String` | `createUri​(javax.servlet.http.HttpServletRequest req, String path)` |
    `static String` | `getFullUrl()` | Deprecated.
    `static String` | `getFullUrl​(javax.servlet.http.HttpServletRequest req)` |
    `static String` | `getHost()` | Deprecated.
    `static String` | `getHost​(javax.servlet.http.HttpServletRequest req)` | Deprecated.
    `static HostAndPort` | `getHostAndPort()` | Deprecated.
    `static HostAndPort` | `getHostAndPort​(javax.servlet.http.HttpServletRequest req)` | Deprecated.
    `static String` | `getPath()` | Deprecated.
    `static String` | `getPath​(javax.servlet.http.HttpServletRequest req)` |
    `static int` | `getPort()` | Deprecated.
    `static int` | `getPort​(javax.servlet.http.HttpServletRequest req)` | Deprecated.
    `static String` | `getRemoteAddress​(javax.servlet.http.HttpServletRequest req)` | Deprecated.
    `static String` | `getScheme()` | Deprecated.
    `static String` | `getScheme​(javax.servlet.http.HttpServletRequest req)` | Deprecated.
    `static String` | `getServerUrl()` | Deprecated.
    `static String` | `getServerUrl​(javax.servlet.http.HttpServletRequest req)` |
    `static UriRewritingResult` | `rewriteUri​(String uri)` | Deprecated.
    `static UriRewritingResult` | `rewriteUri​(javax.servlet.http.HttpServletRequest req, String uri)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletRequestUrlHelper

          public ServletRequestUrlHelper()

  - ### Method Detail

    - #### createUri

          @Deprecated
          public static String createUri​(String path)

      Deprecated.

    - #### createUri

          public static String createUri​(javax.servlet.http.HttpServletRequest req,
                                         String path)

    - #### getScheme

          @Deprecated
          public static String getScheme()

      Deprecated.

    - #### getScheme

          @Deprecated
          public static String getScheme​(javax.servlet.http.HttpServletRequest req)

      Deprecated.

    - #### getHost

          @Deprecated
          public static String getHost()

      Deprecated.

    - #### getHost

          @Deprecated
          public static String getHost​(javax.servlet.http.HttpServletRequest req)

      Deprecated.

    - #### getPort

          @Deprecated
          public static int getPort()

      Deprecated.

    - #### getPort

          @Deprecated
          public static int getPort​(javax.servlet.http.HttpServletRequest req)

      Deprecated.

    - #### getHostAndPort

          @Deprecated
          public static HostAndPort getHostAndPort()

      Deprecated.

    - #### getHostAndPort

          @Deprecated
          public static HostAndPort getHostAndPort​(javax.servlet.http.HttpServletRequest req)

      Deprecated.

    - #### getRemoteAddress

          @Deprecated
          public static String getRemoteAddress​(javax.servlet.http.HttpServletRequest req)

      Deprecated.

    - #### getPath

          @Deprecated
          public static String getPath()

      Deprecated.

    - #### getPath

          public static String getPath​(javax.servlet.http.HttpServletRequest req)

    - #### getServerUrl

          @Deprecated
          public static String getServerUrl()

      Deprecated.

    - #### getServerUrl

          public static String getServerUrl​(javax.servlet.http.HttpServletRequest req)

    - #### getFullUrl

          @Deprecated
          public static String getFullUrl()

      Deprecated.

    - #### getFullUrl

          public static String getFullUrl​(javax.servlet.http.HttpServletRequest req)

    - #### rewriteUri

          @Deprecated
          public static UriRewritingResult rewriteUri​(String uri)

      Deprecated.

    - #### rewriteUri

          public static UriRewritingResult rewriteUri​(javax.servlet.http.HttpServletRequest req,
                                                      String uri)

    - #### contentDispositionAttachment

          public static String contentDispositionAttachment​(String fileName)